package org.dromara.system.service;

import org.dromara.system.domain.ImgType;
import org.dromara.system.domain.vo.ImgTypeVo;
import org.dromara.system.domain.bo.ImgTypeBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2024-12-16
 */
public interface IImgTypeService {

    /**
     * 查询【请填写功能名称】
     */
    ImgTypeVo queryById(String typeC);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<ImgTypeVo> queryPageList(ImgTypeBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<ImgTypeVo> queryList(ImgTypeBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(ImgTypeBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(ImgTypeBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    boolean batchDelete(List<String> typeId);


}
